routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use App\Http\Controllers\Cabinet\CabinetController;
use App\Http\Controllers\Cabinet\DepositController;
use App\Http\Controllers\Cabinet\OperationController;
use App\Http\Controllers\Cabinet\SecurityController;
use App\Http\Controllers\Cabinet\TicketController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\NewsController;

app('zengine')->webRoutes();
if (setting('general.ssl_enabled')) {
    URL::forceScheme('https');
}

Route::get('/', [HomeController::class, 'index'])->name('home');
Route::get('faq', [HomeController::class, 'faq'])->name('faq');

Route::group(['prefix' => 'news', 'as' => 'news'], static function () {
    Route::get('/', [NewsController::class, 'index']);
    Route::get('{post}', [NewsController::class, 'show'])->name('.show');
    Route::get('{post}/watched', [NewsController::class, 'watched'])->name('.watched');
});

Route::group([
    'prefix'        => 'cabinet',
    'as'            => 'cabinet.',
    'middleware'    => 'auth'
], function () {
    Route::get('/', [CabinetController::class, 'index'])->name('index');
    Route::get('/referrals', [CabinetController::class, 'referrals'])->name('referrals');
    Route::get('/profile', [CabinetController::class, 'profile'])->name('profile');
    Route::post('/profile', [CabinetController::class, 'storeProfile'])->name('profile.store');
    Route::post('/wallets', [CabinetController::class, 'storeWallets'])->name('wallets.store');

    Route::get('/security', [SecurityController::class, 'index'])->name('security');
    Route::post('/security/password', [SecurityController::class, 'changePassword'])->name('security.password');
    Route::post('/security/2fa/enable', [SecurityController::class, 'enable2fa'])->name('security.2fa.enable');
    Route::post('/security/2fa/disable', [SecurityController::class, 'disable2fa'])->name('security.2fa.disable');
    Route::post('/security/pin/enable', [SecurityController::class, 'enablePin'])->name('security.pin.enable');
    Route::post('/security/pin/disable', [SecurityController::class, 'disablePin'])->name('security.pin.disable');
    Route::post('/security/pin/unlock', [SecurityController::class, 'unlock'])->name('security.pin.unlock');
    Route::get('/security/pin/lock', [SecurityController::class, 'lock'])->name('security.pin.lock');

    Route::get('/deposits', [DepositController::class, 'index'])->name('deposits');
    Route::get('/invest', [DepositController::class, 'create'])->name('deposits.create');
    Route::post('/invest', [DepositController::class, 'store'])->name('deposits.store');
    Route::get('/deposits/{deposit}/close', [DepositController::class, 'close'])->name('deposits.close');

    Route::get('/operations', [OperationController::class, 'index'])->name('operations');
    Route::post('/operations/{operation}/cancel', [OperationController::class, 'cancel'])->name('operations.cancel');

    Route::get('/refill/{status?}', [OperationController::class, 'refill'])->name('refill');
    Route::post('/refill', [OperationController::class, 'storeRefill'])->name('refill.store');

    Route::get('/withdraw/{status?}', [OperationController::class, 'withdraw'])->name('withdraw');
    Route::post('/withdraw', [OperationController::class, 'storeWithdraw'])->name('withdraw.store');

    Route::get('/transfer', [OperationController::class, 'transfer'])->name('transfer');
    Route::post('/transfer', [OperationController::class, 'storeTransfer'])->name('transfer.store');

    Route::resource('tickets', TicketController::class);
    Route::post('tickets/{ticket}/message', [TicketController::class, 'message'])->name('tickets.message');
    Route::post('tickets/{ticket}/status', [TicketController::class, 'status'])->name('tickets.status');
    Route::get('tickets/{ticket}/read', [TicketController::class, 'read'])->name('tickets.read');
});

resources/views/layouts/app.blade.php
<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <link rel="icon" href="https://getbootstrap.com/docs/4.1/assets/img/favicons/favicon.ico">
    <title>@section('title')Larahyip @show</title>
    <link rel="canonical" href="https://getbootstrap.com/docs/4.1/examples/starter-template/">

    <link href="{{ mix('/css/app.css') }}" rel="stylesheet">
    @yield('css')
</head>

<body>

<nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
    <a class="navbar-brand" href="/">Larahyip</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
            aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarsExampleDefault">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item {{ Request::is('/') ? 'active' : '' }}">
                <a class="nav-link" href="/">@lang('ui.menu.home') <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item {{ Request::is('cabinet') ? 'active' : '' }}">
                <a class="nav-link" href="{{ route('cabinet.index') }}">@lang('ui.menu.cabinet')</a>
            </li>
            <li class="nav-item {{ Request::is('news') ? 'active' : '' }}">
                <a class="nav-link" href="{{ route('news') }}">@lang('ui.menu.news')</a>
            </li>
            <li class="nav-item {{ Request::is('faq') ? 'active' : '' }}">
                <a class="nav-link" href="{{ route('faq') }}">@lang('ui.menu.faq')</a>
            </li>
        </ul>
        <!-- Right Side Of Navbar -->
        <ul class="navbar-nav ml-auto">
            <li class="nav-item dropdown">
                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown"
                   aria-haspopup="true" aria-expanded="false" v-pre>
                    {{ config('app.supportedLocales.'. app()->getLocale() . '.name') }} <span class="caret"></span>
                </a>

                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                    @foreach(config('app.supportedLocales') as $code => $locale)
                        <a class="dropdown-item @if(app()->getLocale() == $code) active @endif"
                           href="?locale={{ $code }}">
                            {{ $locale['name'] ?? $code }}
                        </a>
                    @endforeach
                </div>
            </li>
            <!-- Authentication Links -->
            @guest
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('login') }}">@lang('ui.menu.login')</a>
                </li>
                @if (Route::has('register'))
                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('register') }}">@lang('ui.menu.register')</a>
                    </li>
                @endif
            @else

                <li class="nav-item">
                    <span class="nav-link">
                        {{ Auth::user()->balance }}{{ Auth::user()->currency->symbol }}
                    </span>
                </li>
                <li class="nav-item dropdown">
                    <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button"
                       data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                        {{ Auth::user()->name }} <span class="caret"></span>
                    </a>

                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                        @can('admin_panel')
                            <a class="dropdown-item" href="{{ route('admin.spa') }}">
                                @lang('ui.menu.dashboard')
                            </a>
                        @endif
                        <a class="dropdown-item" href="{{ route('logout') }}"
                           onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                            @lang('ui.menu.logout')
                        </a>
                        <form id="logout-form" action="{{ route('logout') }}" method="POST"
                              style="display: none;">@csrf</form>
                    </div>
                </li>
            @endguest
        </ul>
    </div>
</nav>

<main role="main" class="@section('containerClass')container @show" id="main">

    @yield('content')

</main>

<footer class="footer">
    <div class="container">
        <a href="//freekassa.ru/"><img src="//www.free-kassa.ru/img/fk_btn/9.png" title="Приём оплаты на сайте картами"></a>
        <a href="https://www.fkwallet.ru"><img src="https://www.fkwallet.ru/assets/2017/images/btns/icon_wallet1.png"
                                               title="Прием криптовалют"></a>
    </div>
</footer>
<script>
    window.system = {!!
        json_encode([
            'user_id' => \Auth::id() ?? 0,
            'csrfToken' => csrf_token(),
            'sockets' => setting('sockets'),
            'locale' => App::getLocale()
        ]) !!};
</script>
<script src="{{ mix('js/app.js') }}"></script>
@yield('js')
</body>
</html>

resources/views/layouts/cabinet.blade.php
@extends('layouts.app')
@section('containerClass', 'container-fluid')
@section('content')
    <div class="row justify-content-around col-11 offset-1">
        <div class="col-md-2">
            @include('layouts.cabinet_menu')
        </div>
        <div class="col-md-10">
            @yield('body')
        </div>
        @if(setting('users.2fa') !== 'disabled')
            <unlock-modal action_url="{{ route('cabinet.security.pin.unlock') }}" v-if="unlock_modal" @close="unlock_modal = false"></unlock-modal>
        @endif
    </div>
@endsection

resources/views/layouts/cabinet_menu.blade.php
<div class="list-group">
    <a href="{{ route('cabinet.index') }}" class="list-group-item list-group-item-action {{ Request::is('cabinet') ? 'active' : '' }}">
        @lang('cabinet/ui.menu.index')
    </a>
    <a href="{{ route('cabinet.profile') }}" class="list-group-item list-group-item-action {{ Request::is('cabinet/profile*') ? 'active' : '' }}">
        @lang('cabinet/ui.menu.profile')
    </a>
    <a href="{{ route('cabinet.referrals') }}" class="list-group-item list-group-item-action {{ Request::is('cabinet/referrals*') ? 'active' : '' }}">
        @lang('cabinet/ui.menu.referrals')
    </a>
    <a href="{{ route('cabinet.security') }}" class="list-group-item list-group-item-action {{ Request::is('cabinet/security*') ? 'active' : '' }}">
        @lang('cabinet/ui.menu.security')
    </a>
    <a href="{{ route('cabinet.deposits.create') }}" class="list-group-item list-group-item-action {{ Request::is('cabinet/invest*') ? 'active' : '' }}">
        @lang('cabinet/ui.menu.invest')
    </a>
    <a href="{{ route('cabinet.deposits') }}" class="list-group-item list-group-item-action {{ Request::is('cabinet/deposits*') ? 'active' : '' }}">
        @lang('cabinet/ui.menu.deposits')
    </a>
    <a href="{{ route('cabinet.operations') }}" class="list-group-item list-group-item-action {{ Request::is('cabinet/operations*') ? 'active' : '' }}">
        @lang('cabinet/ui.menu.operations')
    </a>
    <a href="{{ route('cabinet.refill') }}" class="list-group-item list-group-item-action {{ Request::is('cabinet/refill*') ? 'active' : '' }}">
        @lang('cabinet/ui.menu.refill')
    </a>
    <a href="{{ route('cabinet.withdraw') }}" class="list-group-item list-group-item-action {{ Request::is('cabinet/withdraw*') ? 'active' : '' }}">
        @lang('cabinet/ui.menu.withdraw')
    </a>
    <a href="{{ route('cabinet.transfer') }}" class="list-group-item list-group-item-action {{ Request::is('cabinet/transfer*') ? 'active' : '' }}">
        @lang('cabinet/ui.menu.transfer')
    </a>
    <a href="{{ route('cabinet.tickets.index') }}" class="list-group-item list-group-item-action {{ Request::is('cabinet/tickets*') ? 'active' : '' }}">
        @lang('cabinet/ui.menu.support')
    </a>
</div>

resources/views/layouts/datatables_css.blade.php
<!-- DataTable Bootstrap -->
<link href="https://cdn.datatables.net/1.10.19/css/dataTables.bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.3.1/css/buttons.bootstrap.min.css">

resources/views/layouts/datatables_js.blade.php
<!-- Datatables -->
<script src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.19/js/dataTables.bootstrap.min.js"></script>
<script src="https://cdn.datatables.net/buttons/1.3.1/js/dataTables.buttons.min.js"></script>
<script src="https://cdn.datatables.net/buttons/1.3.1/js/buttons.bootstrap.min.js"></script>
<script src="https://cdn.datatables.net/buttons/1.3.1/js/buttons.colVis.min.js"></script>
<script src="{{ asset('vendor/datatables/buttons.server-side.js') }}"></script>